using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 用户考试明细
    /// </summary>
    [Description("用户考试明细")]
    public class ExamUserExamItem : ExamBusinessEntity
    {
        /// <summary>
        /// 我的试题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "我的试题Id")]
        [Description("我的试题Id")]
        public string UserExamId { get; set; }
       
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 得分
        /// </summary>
        [SugarColumn(ColumnDescription = "得分")]
        [Description("得分")]
        public int? Score { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [SugarColumn(ColumnDescription ="是否已阅卷")]
        [Description("是否已阅卷")]
        public bool IsCheck { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamUserExamItemOptions.UserExamItemId))]
        public List<ExamUserExamItemOptions> UserExamItemOptionses { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(ExamAnswer.UserExamItemId))]
        public List<ExamAnswer> ExamAnswers { get; set; }
    }
}
